# Interface: ABIDefinition

## Hierarchy

* AbiItem

  ↳ **ABIDefinition**

## Index

### Properties

* [anonymous](_abi_types_.abidefinition.md#optional-anonymous)
* [constant](_abi_types_.abidefinition.md#optional-constant)
* [gas](_abi_types_.abidefinition.md#optional-gas)
* [inputs](_abi_types_.abidefinition.md#optional-inputs)
* [name](_abi_types_.abidefinition.md#optional-name)
* [outputs](_abi_types_.abidefinition.md#optional-outputs)
* [payable](_abi_types_.abidefinition.md#optional-payable)
* [signature](_abi_types_.abidefinition.md#signature)
* [stateMutability](_abi_types_.abidefinition.md#optional-statemutability)
* [type](_abi_types_.abidefinition.md#type)

## Properties

### `Optional` anonymous

• **anonymous**? : *undefined | false | true*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[anonymous](_abi_types_.abidefinition.md#optional-anonymous)*

Defined in node_modules/web3-utils/types/index.d.ts:217

___

### `Optional` constant

• **constant**? : *undefined | false | true*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[constant](_abi_types_.abidefinition.md#optional-constant)*

Defined in node_modules/web3-utils/types/index.d.ts:218

___

### `Optional` gas

• **gas**? : *undefined | number*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[gas](_abi_types_.abidefinition.md#optional-gas)*

Defined in node_modules/web3-utils/types/index.d.ts:225

___

### `Optional` inputs

• **inputs**? : *AbiInput[]*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[inputs](_abi_types_.abidefinition.md#optional-inputs)*

Defined in node_modules/web3-utils/types/index.d.ts:219

___

### `Optional` name

• **name**? : *undefined | string*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[name](_abi_types_.abidefinition.md#optional-name)*

Defined in node_modules/web3-utils/types/index.d.ts:220

___

### `Optional` outputs

• **outputs**? : *AbiOutput[]*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[outputs](_abi_types_.abidefinition.md#optional-outputs)*

Defined in node_modules/web3-utils/types/index.d.ts:221

___

### `Optional` payable

• **payable**? : *undefined | false | true*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[payable](_abi_types_.abidefinition.md#optional-payable)*

Defined in node_modules/web3-utils/types/index.d.ts:222

___

###  signature

• **signature**: *string*

*Defined in [packages/sdk/connect/src/abi-types.ts:18](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L18)*

___

### `Optional` stateMutability

• **stateMutability**? : *StateMutabilityType*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[stateMutability](_abi_types_.abidefinition.md#optional-statemutability)*

Defined in node_modules/web3-utils/types/index.d.ts:223

___

###  type

• **type**: *AbiType*

*Inherited from [ABIDefinition](_abi_types_.abidefinition.md).[type](_abi_types_.abidefinition.md#type)*

Defined in node_modules/web3-utils/types/index.d.ts:224
