* [Globals](globals.md)
* [Modules]()
  * [address-registry](modules/_address_registry_.md)
  * [AddressRegistry](classes/_address_registry_.addressregistry.md)
  * [base](modules/_base_.md)
  * [CeloContract](enums/_base_.celocontract.md)
  * [contract-cache](modules/_contract_cache_.md)
  * [WrapperCache](classes/_contract_cache_.wrappercache.md)
  * [identity/claims/account](modules/_identity_claims_account_.md)
  * [identity/claims/attestation-service-url](modules/_identity_claims_attestation_service_url_.md)
  * [identity/claims/claim](modules/_identity_claims_claim_.md)
  * [identity/claims/keybase](modules/_identity_claims_keybase_.md)
  * [identity/claims/types](modules/_identity_claims_types_.md)
  * [ClaimTypes](enums/_identity_claims_types_.claimtypes.md)
  * [identity/claims/verify](modules/_identity_claims_verify_.md)
  * [identity/metadata](modules/_identity_metadata_.md)
  * [IdentityMetadataWrapper](classes/_identity_metadata_.identitymetadatawrapper.md)
  * [kit](modules/_kit_.md)
  * [ContractKit](classes/_kit_.contractkit.md)
  * [NetworkConfig](interfaces/_kit_.networkconfig.md)
  * [proxy](modules/_proxy_.md)
  * [test-utils/PromiEventStub](modules/_test_utils_promieventstub_.md)
  * [test-utils/setup.global](modules/_test_utils_setup_global_.md)
  * [test-utils/teardown.global](modules/_test_utils_teardown_global_.md)
  * [web3-contract-cache](modules/_web3_contract_cache_.md)
  * [Web3ContractCache](classes/_web3_contract_cache_.web3contractcache.md)
  * [wrappers/Accounts](modules/_wrappers_accounts_.md)
  * [AccountsWrapper](classes/_wrappers_accounts_.accountswrapper.md)
  * [wrappers/Attestations](modules/_wrappers_attestations_.md)
  * [AttestationServiceStatusState](enums/_wrappers_attestations_.attestationservicestatusstate.md)
  * [AttestationState](enums/_wrappers_attestations_.attestationstate.md)
  * [AttestationsWrapper](classes/_wrappers_attestations_.attestationswrapper.md)
  * [ActionableAttestation](interfaces/_wrappers_attestations_.actionableattestation.md)
  * [AttestationServiceStatusResponse](interfaces/_wrappers_attestations_.attestationservicestatusresponse.md)
  * [AttestationStat](interfaces/_wrappers_attestations_.attestationstat.md)
  * [AttestationStateForIssuer](interfaces/_wrappers_attestations_.attestationstateforissuer.md)
  * [AttestationsConfig](interfaces/_wrappers_attestations_.attestationsconfig.md)
  * [AttestationsToken](interfaces/_wrappers_attestations_.attestationstoken.md)
  * [UnselectedRequest](interfaces/_wrappers_attestations_.unselectedrequest.md)
  * [wrappers/BaseSlasher](modules/_wrappers_baseslasher_.md)
  * [BaseSlasher](classes/_wrappers_baseslasher_.baseslasher.md)
  * [wrappers/BaseWrapper](modules/_wrappers_basewrapper_.md)
  * [BaseWrapper](classes/_wrappers_basewrapper_.basewrapper.md)
  * [wrappers/BlockchainParameters](modules/_wrappers_blockchainparameters_.md)
  * [BlockchainParametersWrapper](classes/_wrappers_blockchainparameters_.blockchainparameterswrapper.md)
  * [BlockchainParametersConfig](interfaces/_wrappers_blockchainparameters_.blockchainparametersconfig.md)
  * [ClientVersion](interfaces/_wrappers_blockchainparameters_.clientversion.md)
  * [wrappers/DoubleSigningSlasher](modules/_wrappers_doublesigningslasher_.md)
  * [DoubleSigningSlasherWrapper](classes/_wrappers_doublesigningslasher_.doublesigningslasherwrapper.md)
  * [wrappers/DowntimeSlasher](modules/_wrappers_downtimeslasher_.md)
  * [DowntimeSlasherWrapper](classes/_wrappers_downtimeslasher_.downtimeslasherwrapper.md)
  * [DowntimeSlasherConfig](interfaces/_wrappers_downtimeslasher_.downtimeslasherconfig.md)
  * [Interval](interfaces/_wrappers_downtimeslasher_.interval.md)
  * [wrappers/Election](modules/_wrappers_election_.md)
  * [ElectionWrapper](classes/_wrappers_election_.electionwrapper.md)
  * [ElectableValidators](interfaces/_wrappers_election_.electablevalidators.md)
  * [ElectionConfig](interfaces/_wrappers_election_.electionconfig.md)
  * [GroupVote](interfaces/_wrappers_election_.groupvote.md)
  * [GroupVoterReward](interfaces/_wrappers_election_.groupvoterreward.md)
  * [ValidatorGroupVote](interfaces/_wrappers_election_.validatorgroupvote.md)
  * [Voter](interfaces/_wrappers_election_.voter.md)
  * [VoterReward](interfaces/_wrappers_election_.voterreward.md)
  * [wrappers/Escrow](modules/_wrappers_escrow_.md)
  * [EscrowWrapper](classes/_wrappers_escrow_.escrowwrapper.md)
  * [wrappers/Exchange](modules/_wrappers_exchange_.md)
  * [ExchangeWrapper](classes/_wrappers_exchange_.exchangewrapper.md)
  * [ExchangeConfig](interfaces/_wrappers_exchange_.exchangeconfig.md)
  * [wrappers/Freezer](modules/_wrappers_freezer_.md)
  * [FreezerWrapper](classes/_wrappers_freezer_.freezerwrapper.md)
  * [wrappers/GasPriceMinimum](modules/_wrappers_gaspriceminimum_.md)
  * [GasPriceMinimumWrapper](classes/_wrappers_gaspriceminimum_.gaspriceminimumwrapper.md)
  * [GasPriceMinimumConfig](interfaces/_wrappers_gaspriceminimum_.gaspriceminimumconfig.md)
  * [wrappers/GoldTokenWrapper](modules/_wrappers_goldtokenwrapper_.md)
  * [GoldTokenWrapper](classes/_wrappers_goldtokenwrapper_.goldtokenwrapper.md)
  * [wrappers/Governance](modules/_wrappers_governance_.md)
  * [ProposalStage](enums/_wrappers_governance_.proposalstage.md)
  * [VoteValue](enums/_wrappers_governance_.votevalue.md)
  * [GovernanceWrapper](classes/_wrappers_governance_.governancewrapper.md)
  * [GovernanceConfig](interfaces/_wrappers_governance_.governanceconfig.md)
  * [HotfixRecord](interfaces/_wrappers_governance_.hotfixrecord.md)
  * [ParticipationParameters](interfaces/_wrappers_governance_.participationparameters.md)
  * [ProposalMetadata](interfaces/_wrappers_governance_.proposalmetadata.md)
  * [ProposalRecord](interfaces/_wrappers_governance_.proposalrecord.md)
  * [ProposalStageDurations](interfaces/_wrappers_governance_.proposalstagedurations.md)
  * [UpvoteRecord](interfaces/_wrappers_governance_.upvoterecord.md)
  * [VoteRecord](interfaces/_wrappers_governance_.voterecord.md)
  * [Voter](interfaces/_wrappers_governance_.voter.md)
  * [Votes](interfaces/_wrappers_governance_.votes.md)
  * [wrappers/LockedGold](modules/_wrappers_lockedgold_.md)
  * [LockedGoldWrapper](classes/_wrappers_lockedgold_.lockedgoldwrapper.md)
  * [AccountSlashed](interfaces/_wrappers_lockedgold_.accountslashed.md)
  * [LockedGoldConfig](interfaces/_wrappers_lockedgold_.lockedgoldconfig.md)
  * [PendingWithdrawal](interfaces/_wrappers_lockedgold_.pendingwithdrawal.md)
  * [VotingDetails](interfaces/_wrappers_lockedgold_.votingdetails.md)
  * [wrappers/MetaTransactionWallet](modules/_wrappers_metatransactionwallet_.md)
  * [MetaTransactionWalletWrapper](classes/_wrappers_metatransactionwallet_.metatransactionwalletwrapper.md)
  * [RawTransaction](interfaces/_wrappers_metatransactionwallet_.rawtransaction.md)
  * [TransactionObjectWithValue](interfaces/_wrappers_metatransactionwallet_.transactionobjectwithvalue.md)
  * [wrappers/MetaTransactionWalletDeployer](modules/_wrappers_metatransactionwalletdeployer_.md)
  * [MetaTransactionWalletDeployerWrapper](classes/_wrappers_metatransactionwalletdeployer_.metatransactionwalletdeployerwrapper.md)
  * [wrappers/MultiSig](modules/_wrappers_multisig_.md)
  * [MultiSigWrapper](classes/_wrappers_multisig_.multisigwrapper.md)
  * [TransactionData](interfaces/_wrappers_multisig_.transactiondata.md)
  * [wrappers/ReleaseGold](modules/_wrappers_releasegold_.md)
  * [ReleaseGoldWrapper](classes/_wrappers_releasegold_.releasegoldwrapper.md)
  * [BalanceState](interfaces/_wrappers_releasegold_.balancestate.md)
  * [ReleaseGoldInfo](interfaces/_wrappers_releasegold_.releasegoldinfo.md)
  * [wrappers/Reserve](modules/_wrappers_reserve_.md)
  * [ReserveWrapper](classes/_wrappers_reserve_.reservewrapper.md)
  * [ReserveConfig](interfaces/_wrappers_reserve_.reserveconfig.md)
  * [wrappers/SortedOracles](modules/_wrappers_sortedoracles_.md)
  * [MedianRelation](enums/_wrappers_sortedoracles_.medianrelation.md)
  * [SortedOraclesWrapper](classes/_wrappers_sortedoracles_.sortedoracleswrapper.md)
  * [MedianRate](interfaces/_wrappers_sortedoracles_.medianrate.md)
  * [OracleRate](interfaces/_wrappers_sortedoracles_.oraclerate.md)
  * [OracleReport](interfaces/_wrappers_sortedoracles_.oraclereport.md)
  * [OracleTimestamp](interfaces/_wrappers_sortedoracles_.oracletimestamp.md)
  * [SortedOraclesConfig](interfaces/_wrappers_sortedoracles_.sortedoraclesconfig.md)
  * [wrappers/StableTokenWrapper](modules/_wrappers_stabletokenwrapper_.md)
  * [StableTokenWrapper](classes/_wrappers_stabletokenwrapper_.stabletokenwrapper.md)
  * [InflationParameters](interfaces/_wrappers_stabletokenwrapper_.inflationparameters.md)
  * [StableTokenConfig](interfaces/_wrappers_stabletokenwrapper_.stabletokenconfig.md)
  * [wrappers/Validators](modules/_wrappers_validators_.md)
  * [ValidatorsWrapper](classes/_wrappers_validators_.validatorswrapper.md)
  * [GroupMembership](interfaces/_wrappers_validators_.groupmembership.md)
  * [LockedGoldRequirements](interfaces/_wrappers_validators_.lockedgoldrequirements.md)
  * [MembershipHistoryExtraData](interfaces/_wrappers_validators_.membershiphistoryextradata.md)
  * [Validator](interfaces/_wrappers_validators_.validator.md)
  * [ValidatorGroup](interfaces/_wrappers_validators_.validatorgroup.md)
  * [ValidatorReward](interfaces/_wrappers_validators_.validatorreward.md)
  * [ValidatorsConfig](interfaces/_wrappers_validators_.validatorsconfig.md)
* [Classes]()
  * [AddressRegistry](classes/_address_registry_.addressregistry.md)
  * [WrapperCache](classes/_contract_cache_.wrappercache.md)
  * [IdentityMetadataWrapper](classes/_identity_metadata_.identitymetadatawrapper.md)
  * [ContractKit](classes/_kit_.contractkit.md)
  * [Web3ContractCache](classes/_web3_contract_cache_.web3contractcache.md)
  * [AccountsWrapper](classes/_wrappers_accounts_.accountswrapper.md)
  * [AttestationsWrapper](classes/_wrappers_attestations_.attestationswrapper.md)
  * [BaseSlasher](classes/_wrappers_baseslasher_.baseslasher.md)
  * [BaseWrapper](classes/_wrappers_basewrapper_.basewrapper.md)
  * [BlockchainParametersWrapper](classes/_wrappers_blockchainparameters_.blockchainparameterswrapper.md)
  * [DoubleSigningSlasherWrapper](classes/_wrappers_doublesigningslasher_.doublesigningslasherwrapper.md)
  * [DowntimeSlasherWrapper](classes/_wrappers_downtimeslasher_.downtimeslasherwrapper.md)
  * [ElectionWrapper](classes/_wrappers_election_.electionwrapper.md)
  * [EscrowWrapper](classes/_wrappers_escrow_.escrowwrapper.md)
  * [ExchangeWrapper](classes/_wrappers_exchange_.exchangewrapper.md)
  * [FreezerWrapper](classes/_wrappers_freezer_.freezerwrapper.md)
  * [GasPriceMinimumWrapper](classes/_wrappers_gaspriceminimum_.gaspriceminimumwrapper.md)
  * [GoldTokenWrapper](classes/_wrappers_goldtokenwrapper_.goldtokenwrapper.md)
  * [GovernanceWrapper](classes/_wrappers_governance_.governancewrapper.md)
  * [LockedGoldWrapper](classes/_wrappers_lockedgold_.lockedgoldwrapper.md)
  * [MetaTransactionWalletWrapper](classes/_wrappers_metatransactionwallet_.metatransactionwalletwrapper.md)
  * [MetaTransactionWalletDeployerWrapper](classes/_wrappers_metatransactionwalletdeployer_.metatransactionwalletdeployerwrapper.md)
  * [MultiSigWrapper](classes/_wrappers_multisig_.multisigwrapper.md)
  * [ReleaseGoldWrapper](classes/_wrappers_releasegold_.releasegoldwrapper.md)
  * [ReserveWrapper](classes/_wrappers_reserve_.reservewrapper.md)
  * [SortedOraclesWrapper](classes/_wrappers_sortedoracles_.sortedoracleswrapper.md)
  * [StableTokenWrapper](classes/_wrappers_stabletokenwrapper_.stabletokenwrapper.md)
  * [ValidatorsWrapper](classes/_wrappers_validators_.validatorswrapper.md)
* [Enums]()
  * [CeloContract](enums/_base_.celocontract.md)
  * [ClaimTypes](enums/_identity_claims_types_.claimtypes.md)
  * [AttestationServiceStatusState](enums/_wrappers_attestations_.attestationservicestatusstate.md)
  * [AttestationState](enums/_wrappers_attestations_.attestationstate.md)
  * [ProposalStage](enums/_wrappers_governance_.proposalstage.md)
  * [VoteValue](enums/_wrappers_governance_.votevalue.md)
  * [MedianRelation](enums/_wrappers_sortedoracles_.medianrelation.md)
* [Interfaces]()
  * [NetworkConfig](interfaces/_kit_.networkconfig.md)
  * [ActionableAttestation](interfaces/_wrappers_attestations_.actionableattestation.md)
  * [AttestationServiceStatusResponse](interfaces/_wrappers_attestations_.attestationservicestatusresponse.md)
  * [AttestationStat](interfaces/_wrappers_attestations_.attestationstat.md)
  * [AttestationStateForIssuer](interfaces/_wrappers_attestations_.attestationstateforissuer.md)
  * [AttestationsConfig](interfaces/_wrappers_attestations_.attestationsconfig.md)
  * [AttestationsToken](interfaces/_wrappers_attestations_.attestationstoken.md)
  * [UnselectedRequest](interfaces/_wrappers_attestations_.unselectedrequest.md)
  * [BlockchainParametersConfig](interfaces/_wrappers_blockchainparameters_.blockchainparametersconfig.md)
  * [ClientVersion](interfaces/_wrappers_blockchainparameters_.clientversion.md)
  * [DowntimeSlasherConfig](interfaces/_wrappers_downtimeslasher_.downtimeslasherconfig.md)
  * [Interval](interfaces/_wrappers_downtimeslasher_.interval.md)
  * [ElectableValidators](interfaces/_wrappers_election_.electablevalidators.md)
  * [ElectionConfig](interfaces/_wrappers_election_.electionconfig.md)
  * [GroupVote](interfaces/_wrappers_election_.groupvote.md)
  * [GroupVoterReward](interfaces/_wrappers_election_.groupvoterreward.md)
  * [ValidatorGroupVote](interfaces/_wrappers_election_.validatorgroupvote.md)
  * [Voter](interfaces/_wrappers_election_.voter.md)
  * [VoterReward](interfaces/_wrappers_election_.voterreward.md)
  * [ExchangeConfig](interfaces/_wrappers_exchange_.exchangeconfig.md)
  * [GasPriceMinimumConfig](interfaces/_wrappers_gaspriceminimum_.gaspriceminimumconfig.md)
  * [GovernanceConfig](interfaces/_wrappers_governance_.governanceconfig.md)
  * [HotfixRecord](interfaces/_wrappers_governance_.hotfixrecord.md)
  * [ParticipationParameters](interfaces/_wrappers_governance_.participationparameters.md)
  * [ProposalMetadata](interfaces/_wrappers_governance_.proposalmetadata.md)
  * [ProposalRecord](interfaces/_wrappers_governance_.proposalrecord.md)
  * [ProposalStageDurations](interfaces/_wrappers_governance_.proposalstagedurations.md)
  * [UpvoteRecord](interfaces/_wrappers_governance_.upvoterecord.md)
  * [VoteRecord](interfaces/_wrappers_governance_.voterecord.md)
  * [Voter](interfaces/_wrappers_governance_.voter.md)
  * [Votes](interfaces/_wrappers_governance_.votes.md)
  * [AccountSlashed](interfaces/_wrappers_lockedgold_.accountslashed.md)
  * [LockedGoldConfig](interfaces/_wrappers_lockedgold_.lockedgoldconfig.md)
  * [PendingWithdrawal](interfaces/_wrappers_lockedgold_.pendingwithdrawal.md)
  * [VotingDetails](interfaces/_wrappers_lockedgold_.votingdetails.md)
  * [RawTransaction](interfaces/_wrappers_metatransactionwallet_.rawtransaction.md)
  * [TransactionObjectWithValue](interfaces/_wrappers_metatransactionwallet_.transactionobjectwithvalue.md)
  * [TransactionData](interfaces/_wrappers_multisig_.transactiondata.md)
  * [BalanceState](interfaces/_wrappers_releasegold_.balancestate.md)
  * [ReleaseGoldInfo](interfaces/_wrappers_releasegold_.releasegoldinfo.md)
  * [ReserveConfig](interfaces/_wrappers_reserve_.reserveconfig.md)
  * [MedianRate](interfaces/_wrappers_sortedoracles_.medianrate.md)
  * [OracleRate](interfaces/_wrappers_sortedoracles_.oraclerate.md)
  * [OracleReport](interfaces/_wrappers_sortedoracles_.oraclereport.md)
  * [OracleTimestamp](interfaces/_wrappers_sortedoracles_.oracletimestamp.md)
  * [SortedOraclesConfig](interfaces/_wrappers_sortedoracles_.sortedoraclesconfig.md)
  * [InflationParameters](interfaces/_wrappers_stabletokenwrapper_.inflationparameters.md)
  * [StableTokenConfig](interfaces/_wrappers_stabletokenwrapper_.stabletokenconfig.md)
  * [GroupMembership](interfaces/_wrappers_validators_.groupmembership.md)
  * [LockedGoldRequirements](interfaces/_wrappers_validators_.lockedgoldrequirements.md)
  * [MembershipHistoryExtraData](interfaces/_wrappers_validators_.membershiphistoryextradata.md)
  * [Validator](interfaces/_wrappers_validators_.validator.md)
  * [ValidatorGroup](interfaces/_wrappers_validators_.validatorgroup.md)
  * [ValidatorReward](interfaces/_wrappers_validators_.validatorreward.md)
  * [ValidatorsConfig](interfaces/_wrappers_validators_.validatorsconfig.md)