# Interface: NetworkConfig

## Hierarchy

* **NetworkConfig**

## Index

### Properties

* [attestations](_kit_.networkconfig.md#attestations)
* [blockchainParameters](_kit_.networkconfig.md#blockchainparameters)
* [downtimeSlasher](_kit_.networkconfig.md#downtimeslasher)
* [election](_kit_.networkconfig.md#election)
* [exchange](_kit_.networkconfig.md#exchange)
* [gasPriceMinimum](_kit_.networkconfig.md#gaspriceminimum)
* [governance](_kit_.networkconfig.md#governance)
* [lockedGold](_kit_.networkconfig.md#lockedgold)
* [reserve](_kit_.networkconfig.md#reserve)
* [sortedOracles](_kit_.networkconfig.md#sortedoracles)
* [stableToken](_kit_.networkconfig.md#stabletoken)
* [validators](_kit_.networkconfig.md#validators)

## Properties

###  attestations

• **attestations**: *[AttestationsConfig](_wrappers_attestations_.attestationsconfig.md)*

*Defined in [contractkit/src/kit.ts:58](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L58)*

___

###  blockchainParameters

• **blockchainParameters**: *[BlockchainParametersConfig](_wrappers_blockchainparameters_.blockchainparametersconfig.md)*

*Defined in [contractkit/src/kit.ts:67](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L67)*

___

###  downtimeSlasher

• **downtimeSlasher**: *[DowntimeSlasherConfig](_wrappers_downtimeslasher_.downtimeslasherconfig.md)*

*Defined in [contractkit/src/kit.ts:66](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L66)*

___

###  election

• **election**: *[ElectionConfig](_wrappers_election_.electionconfig.md)*

*Defined in [contractkit/src/kit.ts:56](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L56)*

___

###  exchange

• **exchange**: *[ExchangeConfig](_wrappers_exchange_.exchangeconfig.md)*

*Defined in [contractkit/src/kit.ts:57](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L57)*

___

###  gasPriceMinimum

• **gasPriceMinimum**: *[GasPriceMinimumConfig](_wrappers_gaspriceminimum_.gaspriceminimumconfig.md)*

*Defined in [contractkit/src/kit.ts:62](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L62)*

___

###  governance

• **governance**: *[GovernanceConfig](_wrappers_governance_.governanceconfig.md)*

*Defined in [contractkit/src/kit.ts:59](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L59)*

___

###  lockedGold

• **lockedGold**: *[LockedGoldConfig](_wrappers_lockedgold_.lockedgoldconfig.md)*

*Defined in [contractkit/src/kit.ts:60](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L60)*

___

###  reserve

• **reserve**: *[ReserveConfig](_wrappers_reserve_.reserveconfig.md)*

*Defined in [contractkit/src/kit.ts:63](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L63)*

___

###  sortedOracles

• **sortedOracles**: *[SortedOraclesConfig](_wrappers_sortedoracles_.sortedoraclesconfig.md)*

*Defined in [contractkit/src/kit.ts:61](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L61)*

___

###  stableToken

• **stableToken**: *[StableTokenConfig](_wrappers_stabletokenwrapper_.stabletokenconfig.md)*

*Defined in [contractkit/src/kit.ts:64](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L64)*

___

###  validators

• **validators**: *[ValidatorsConfig](_wrappers_validators_.validatorsconfig.md)*

*Defined in [contractkit/src/kit.ts:65](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/kit.ts#L65)*
