# Interface: AttestationServiceStatusResponse

## Hierarchy

* **AttestationServiceStatusResponse**

## Index

### Properties

* [address](_wrappers_attestations_.attestationservicestatusresponse.md#address)
* [affiliation](_wrappers_attestations_.attestationservicestatusresponse.md#affiliation)
* [ageOfLatestBlock](_wrappers_attestations_.attestationservicestatusresponse.md#ageoflatestblock)
* [attestationServiceURL](_wrappers_attestations_.attestationservicestatusresponse.md#attestationserviceurl)
* [attestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#attestationsigner)
* [blacklistedRegionCodes](_wrappers_attestations_.attestationservicestatusresponse.md#blacklistedregioncodes)
* [blsPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#blspublickey)
* [ecdsaPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#ecdsapublickey)
* [error](_wrappers_attestations_.attestationservicestatusresponse.md#error)
* [hasAttestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#hasattestationsigner)
* [metadataURL](_wrappers_attestations_.attestationservicestatusresponse.md#metadataurl)
* [name](_wrappers_attestations_.attestationservicestatusresponse.md#name)
* [okStatus](_wrappers_attestations_.attestationservicestatusresponse.md#okstatus)
* [rightAccount](_wrappers_attestations_.attestationservicestatusresponse.md#rightaccount)
* [score](_wrappers_attestations_.attestationservicestatusresponse.md#score)
* [signer](_wrappers_attestations_.attestationservicestatusresponse.md#signer)
* [smsProviders](_wrappers_attestations_.attestationservicestatusresponse.md#smsproviders)
* [state](_wrappers_attestations_.attestationservicestatusresponse.md#state)
* [version](_wrappers_attestations_.attestationservicestatusresponse.md#version)

## Properties

###  address

• **address**: *Address*

*Defined in [contractkit/src/wrappers/Attestations.ts:781](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L781)*

___

###  affiliation

• **affiliation**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:784](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L784)*

___

###  ageOfLatestBlock

• **ageOfLatestBlock**: *number | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:798](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L798)*

___

###  attestationServiceURL

• **attestationServiceURL**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:788](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L788)*

___

###  attestationSigner

• **attestationSigner**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:787](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L787)*

___

###  blacklistedRegionCodes

• **blacklistedRegionCodes**: *string[] | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:793](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L793)*

___

###  blsPublicKey

• **blsPublicKey**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:783](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L783)*

___

###  ecdsaPublicKey

• **ecdsaPublicKey**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:782](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L782)*

___

###  error

• **error**: *null | Error*

*Defined in [contractkit/src/wrappers/Attestations.ts:791](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L791)*

___

###  hasAttestationSigner

• **hasAttestationSigner**: *boolean*

*Defined in [contractkit/src/wrappers/Attestations.ts:786](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L786)*

___

###  metadataURL

• **metadataURL**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:789](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L789)*

___

###  name

• **name**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:780](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L780)*

___

###  okStatus

• **okStatus**: *boolean*

*Defined in [contractkit/src/wrappers/Attestations.ts:790](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L790)*

___

###  rightAccount

• **rightAccount**: *boolean*

*Defined in [contractkit/src/wrappers/Attestations.ts:794](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L794)*

___

###  score

• **score**: *BigNumber*

*Defined in [contractkit/src/wrappers/Attestations.ts:785](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L785)*

___

###  signer

• **signer**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:795](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L795)*

___

###  smsProviders

• **smsProviders**: *string[]*

*Defined in [contractkit/src/wrappers/Attestations.ts:792](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L792)*

___

###  state

• **state**: *[AttestationServiceStatusState](../enums/_wrappers_attestations_.attestationservicestatusstate.md)*

*Defined in [contractkit/src/wrappers/Attestations.ts:796](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L796)*

___

###  version

• **version**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:797](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L797)*
