# Module: "identity/claims/types"

## Index

### Enumerations

* [ClaimTypes](../enums/_identity_claims_types_.claimtypes.md)

### Variables

* [SINGULAR_CLAIM_TYPES](_identity_claims_types_.md#const-singular_claim_types)
* [SignatureType](_identity_claims_types_.md#const-signaturetype)
* [TimestampType](_identity_claims_types_.md#const-timestamptype)
* [VALIDATABLE_CLAIM_TYPES](_identity_claims_types_.md#const-validatable_claim_types)
* [VERIFIABLE_CLAIM_TYPES](_identity_claims_types_.md#const-verifiable_claim_types)

### Functions

* [now](_identity_claims_types_.md#const-now)

## Variables

### `Const` SINGULAR_CLAIM_TYPES

• **SINGULAR_CLAIM_TYPES**: *[ClaimTypes](../enums/_identity_claims_types_.claimtypes.md)[]* = [ClaimTypes.NAME, ClaimTypes.ATTESTATION_SERVICE_URL]

*Defined in [contractkit/src/identity/claims/types.ts:24](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/identity/claims/types.ts#L24)*

___

### `Const` SignatureType

• **SignatureType**: *StringC‹›* = t.string

*Defined in [contractkit/src/identity/claims/types.ts:3](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/identity/claims/types.ts#L3)*

___

### `Const` TimestampType

• **TimestampType**: *NumberC‹›* = t.number

*Defined in [contractkit/src/identity/claims/types.ts:4](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/identity/claims/types.ts#L4)*

___

### `Const` VALIDATABLE_CLAIM_TYPES

• **VALIDATABLE_CLAIM_TYPES**: *[ClaimTypes](../enums/_identity_claims_types_.claimtypes.md)[]* = [ClaimTypes.ATTESTATION_SERVICE_URL]

*Defined in [contractkit/src/identity/claims/types.ts:22](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/identity/claims/types.ts#L22)*

___

### `Const` VERIFIABLE_CLAIM_TYPES

• **VERIFIABLE_CLAIM_TYPES**: *[ClaimTypes](../enums/_identity_claims_types_.claimtypes.md)[]* = [ClaimTypes.KEYBASE, ClaimTypes.ACCOUNT, ClaimTypes.DOMAIN]

*Defined in [contractkit/src/identity/claims/types.ts:19](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/identity/claims/types.ts#L19)*

## Functions

### `Const` now

▸ **now**(): *number*

*Defined in [contractkit/src/identity/claims/types.ts:6](https://github.com/medhak1/celo-monorepo/blob/master/packages/sdk/contractkit/src/identity/claims/types.ts#L6)*

**Returns:** *number*
