import * as React from 'react'
import { G, Path } from 'src/shared/svg'
import Svg, { Ellipse, Rect } from 'svgs'

const mixBlendMode = 'screen'

export default React.memo(function CodeEditor() {
  return (
    <Svg viewBox="0 0 716 430" fill="none">
      <G style={{ mixBlendMode }} opacity="0.1">
        <Rect
          x="1"
          y="1"
          width="714"
          height="428"
          rx="2"
          fill="#2E3338"
          stroke="#2E3338"
          strokeWidth="2"
        />
        <Path
          d="M0 2.99999C0 1.34314 1.34315 0 3 0H358V430H3C1.34314 430 0 428.657 0 427V2.99999Z"
          fill="#57616B"
        />
      </G>
      <G style={{ mixBlendMode }} opacity="0.4">
        <G style={{ mixBlendMode }}>
          <Rect x="490" y="172" width="152" height="6" rx="3" stroke="#BF97FF" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="537" y="191" width="152" height="7" rx="3.5" stroke="#BF97FF" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="532" y="211" width="26" height="7" rx="3.5" stroke="#BF97FF" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="508" y="231" width="30" height="7" rx="3.5" stroke="#BF97FF" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="516" y="251" width="29" height="7" rx="3.5" stroke="#BF97FF" strokeWidth="2" />
        </G>
        <Rect x="472" y="152" width="7" height="7" rx="3.5" stroke="#45D68A" strokeWidth="2" />
        <G style={{ mixBlendMode }}>
          <Rect x="425" y="33" width="243" height="7" rx="3.5" stroke="#FB7C6D" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="469" y="53" width="168" height="7" rx="3.5" stroke="#FB7C6D" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="469" y="73" width="168" height="7" rx="3.5" stroke="#FB7C6D" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="440" y="93" width="48" height="7" rx="3.5" stroke="#FB7C6D" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="440" y="132" width="27" height="7" rx="3.5" stroke="#FB7C6D" strokeWidth="2" />
        </G>
        <G style={{ mixBlendMode }}>
          <Rect x="440" y="113" width="61" height="6" rx="3" stroke="#FB7C6D" strokeWidth="2" />
        </G>
        <Rect x="388" y="33" width="22" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="53" width="69" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="73" width="69" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="93" width="35" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="113" width="35" height="6" rx="3" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="132" width="35" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="152" width="69" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="172" width="87" height="6" rx="3" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="191" width="131" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="211" width="126" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="231" width="105" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="388" y="251" width="113" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="33" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="33" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="101" y="33" width="26" height="7" rx="3.5" stroke="#45D68A" strokeWidth="2" />
        <Rect x="145" y="33" width="26" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="182" y="53" width="26" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="155" y="152" width="26" height="7" rx="3.5" stroke="#3C9BF4" strokeWidth="2" />
        <Rect x="192" y="192" width="26" height="7" rx="3.5" stroke="#3C9BF4" strokeWidth="2" />
        <Rect x="164" y="211" width="26" height="7" rx="3.5" stroke="#3C9BF4" strokeWidth="2" />
        <Rect x="292" y="152" width="26" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="47" y="171" width="133" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="47" y="269" width="179" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="164" y="290" width="179" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="192" y="152" width="89" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="164" y="330" width="62" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="164" y="370" width="62" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="101" y="350" width="62" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="198" y="211" width="28" height="7" rx="3.5" stroke="#9557FF" strokeWidth="2" />
        <Rect x="182" y="33" width="26" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="219" y="53" width="85" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="182" y="93" width="85" height="7" rx="3.5" stroke="#FF6553" strokeWidth="2" />
        <Rect x="101" y="53" width="70" height="7" rx="3.5" stroke="#45D68A" strokeWidth="2" />
        <Rect x="101" y="93" width="70" height="7" rx="3.5" stroke="#45D68A" strokeWidth="2" />
        <Rect x="28" y="53" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="53" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="73" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="93" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="93" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="113" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="113" width="43" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="101" y="113" width="43" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="101" y="152" width="43" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="101" y="192" width="79" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="101" y="251" width="79" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="101" y="212" width="52" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="101" y="291" width="52" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="234" y="212" width="52" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="238" y="330" width="52" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="155" y="113" width="43" height="6" rx="3" stroke="#333333" strokeWidth="2" />
        <Rect x="28" y="132" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="152" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="152" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="191" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="191" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="211" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="290" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="350" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="211" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="290" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="350" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="370" width="106" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="237" y="370" width="53" height="7" rx="3.5" stroke="#3C9BF4" strokeWidth="2" />
        <Rect x="174" y="350" width="68" height="7" rx="3.5" stroke="#3C9BF4" strokeWidth="2" />
        <Rect x="28" y="231" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="310" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="370" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="251" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="28" y="330" width="8" height="8" rx="4" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="251" width="43" height="7" rx="3.5" stroke="#73DDFF" strokeWidth="2" />
        <Rect x="47" y="330" width="106" height="7" rx="3.5" stroke="#333333" strokeWidth="2" />
      </G>
      <G style={{ mixBlendMode: 'darken' }} opacity="0.7" filter="url(#filter0_f)">
        <Ellipse cx="358" cy="201.5" rx="155" ry="60.5" fill="#2E3338" />
      </G>
      <defs>
        <filter
          id="filter0_f"
          x="143"
          y="81"
          width="430"
          height="241"
          filterUnits="userSpaceOnUse"
          colorInterpolationFilters="sRGB"
        >
          <feFlood floodOpacity="0" result="BackgroundImageFix" />
          <feBlend mode="normal" in="SourceGraphic" in2="BackgroundImageFix" result="shape" />
          <feGaussianBlur stdDeviation="30" result="effect1_foregroundBlur" />
        </filter>
      </defs>
    </Svg>
  )
})
